عدم شناسایی Lua

در این قسمت سوالات ابتدایی خود را بپرسید.
پست: 11
تاریخ عضویت: پنج شنبه 3 اردیبهشت 1394, 11:12 am

عدم شناسایی Lua

پستتوسط aradpc » یکشنبه 9 مهر 1396, 8:17 pm

با سلام وقت بخیر.
من میخوام برنامه vlc روی از روی سورس نصب کنم. وقتی دستور ./configure رو میزنم اولین خطا مربوط میشه به یافت نشدن lua در صورتی که وقتی در ترمینال دستور lua رو میزنم اجرا میشه و ورژن رو نشون میده این یعنی lua نصبه؟
اگر نصبه پس چرا کانفیگ vlc شناساییش نمیکنه؟
اگر lua نصب نیست پس چرا توی ترمینال اجرا میشه؟
البته اینکه سورس lua رو هم گرفتم ولی وقتی میخوام make کنم به کتابخانه readline گیر میده که نیست. و نمیدونم توی این بخش چه کار کنم.
اگر بخوام کتابخانه readline رو در مسیر کامپایلر gcc بریزم. این مسیر به صورت پیش فرض کجاس؟
توزیع: fedora 24
واقعا موندم.
ممنون میشم پاسخ بدین.
با تشکر

معاونت سایت
آواتار کاربر
پست: 6428
تاریخ عضویت: دوشنبه 21 مرداد 1387, 11:47 pm
محل اقامت: اصفهان

Re: عدم شناسایی Lua

پستتوسط hedayat » دوشنبه 10 مهر 1396, 4:38 pm

سلام
شما اگه پیام خطا رو دقیق گذاشته بودید بهتر بود.
ولی به هر حال معمولا وقتی configure میگه یه چیزی رو میخوام یعنی فایل‌های توسعه‌ش رو هم میخواد نه فقط خودش رو. مثلا چون شما lua دارید احتمالا configure به lua-devel هم نیاز داره. نصبش کنید مشکلتون باید حل بشه.
اگه هم دقیق‌ترش رو بخواین باید config.log رو ببینین ببینین دقیقا چی لازم داشته و چه خطایی داده.

بعیده لازم باشه lua رو از سورس نصب کنید.

آواتار کاربر
پست: 1465
تاریخ عضویت: دوشنبه 13 مرداد 1387, 12:22 am
محل اقامت: 1::

Re: عدم شناسایی Lua

پستتوسط hos7ein » دوشنبه 8 آبان 1396, 4:59 pm

aradpc نوشته است:با سلام وقت بخیر.
من میخوام برنامه vlc روی از روی سورس نصب کنم. وقتی دستور ./configure رو میزنم اولین خطا مربوط میشه به یافت نشدن lua در صورتی که وقتی در ترمینال دستور lua رو میزنم اجرا میشه و ورژن رو نشون میده این یعنی lua نصبه؟
اگر نصبه پس چرا کانفیگ vlc شناساییش نمیکنه؟
اگر lua نصب نیست پس چرا توی ترمینال اجرا میشه؟
البته اینکه سورس lua رو هم گرفتم ولی وقتی میخوام make کنم به کتابخانه readline گیر میده که نیست. و نمیدونم توی این بخش چه کار کنم.
اگر بخوام کتابخانه readline رو در مسیر کامپایلر gcc بریزم. این مسیر به صورت پیش فرض کجاس؟
توزیع: fedora 24
واقعا موندم.
ممنون میشم پاسخ بدین.
با تشکر


درود بر شما

اول اینکه فدورا ۲۴ دیگه پشتیبانی نمیشه و بهتره که از نسخه های جدیدتر استفاده کنین و دوم اینکه سعی کنید از طریق مخازن نرم افزارها و بسته های مورد نظر خودتون رو نصب کنین که درد و خونریزی نداشته باشه.

پیروز باشید.
تصویر

بازگشت به تازه‌کاران

چه کسی آنلاین است

کاربران حاضر در این انجمن : کاربر عضو شده ای موجود نیست و 0 مهمان